Suggest Component
curl --request POST \
--url https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/item-drafts/component-suggestions \
--header 'Content-Type: application/json' \
--data '
{
"clientTurnId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"line": "<string>",
"parentItemId": "<string>",
"parentProductTypeId": "<string>"
}
'import requests
url = "https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/item-drafts/component-suggestions"
payload = {
"clientTurnId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"line": "<string>",
"parentItemId": "<string>",
"parentProductTypeId": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
clientTurnId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
line: '<string>',
parentItemId: '<string>',
parentProductTypeId: '<string>'
})
};
fetch('https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/item-drafts/component-suggestions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/item-drafts/component-suggestions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'clientTurnId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'line' => '<string>',
'parentItemId' => '<string>',
'parentProductTypeId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/item-drafts/component-suggestions"
payload := strings.NewReader("{\n \"clientTurnId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"line\": \"<string>\",\n \"parentItemId\": \"<string>\",\n \"parentProductTypeId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/item-drafts/component-suggestions")
.header("Content-Type", "application/json")
.body("{\n \"clientTurnId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"line\": \"<string>\",\n \"parentItemId\": \"<string>\",\n \"parentProductTypeId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/item-drafts/component-suggestions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"clientTurnId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"line\": \"<string>\",\n \"parentItemId\": \"<string>\",\n \"parentProductTypeId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"result": {
"status": "completed",
"draftRevision": 123,
"runIds": [
"<string>"
],
"errorCode": "<string>",
"chargedCredits": "<string>",
"identity": {
"name": "<string>",
"categoryId": "<string>",
"productTypeId": "<string>",
"evidence": "<string>"
},
"fields": [
{
"value": "<string>",
"slug": "<string>",
"confidence": 123,
"evidence": "<string>"
}
],
"guidance": [
{
"kind": "instruction",
"text": "<string>",
"assigneeRoleGroupIds": [
"warehouse"
]
}
],
"guidanceRevision": 123,
"component": {
"quantity": "<string>"
}
},
"clientTurnId": "<string>",
"status": "completed"
}Item Magic Fill
Suggest Component
POST
/
v1
/
workspaces
/
{workspaceId}
/
projects
/
{projectId}
/
item-drafts
/
component-suggestions
Suggest Component
curl --request POST \
--url https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/item-drafts/component-suggestions \
--header 'Content-Type: application/json' \
--data '
{
"clientTurnId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"line": "<string>",
"parentItemId": "<string>",
"parentProductTypeId": "<string>"
}
'import requests
url = "https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/item-drafts/component-suggestions"
payload = {
"clientTurnId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"line": "<string>",
"parentItemId": "<string>",
"parentProductTypeId": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
clientTurnId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
line: '<string>',
parentItemId: '<string>',
parentProductTypeId: '<string>'
})
};
fetch('https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/item-drafts/component-suggestions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/item-drafts/component-suggestions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'clientTurnId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'line' => '<string>',
'parentItemId' => '<string>',
'parentProductTypeId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/item-drafts/component-suggestions"
payload := strings.NewReader("{\n \"clientTurnId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"line\": \"<string>\",\n \"parentItemId\": \"<string>\",\n \"parentProductTypeId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/item-drafts/component-suggestions")
.header("Content-Type", "application/json")
.body("{\n \"clientTurnId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"line\": \"<string>\",\n \"parentItemId\": \"<string>\",\n \"parentProductTypeId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/item-drafts/component-suggestions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"clientTurnId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"line\": \"<string>\",\n \"parentItemId\": \"<string>\",\n \"parentProductTypeId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"result": {
"status": "completed",
"draftRevision": 123,
"runIds": [
"<string>"
],
"errorCode": "<string>",
"chargedCredits": "<string>",
"identity": {
"name": "<string>",
"categoryId": "<string>",
"productTypeId": "<string>",
"evidence": "<string>"
},
"fields": [
{
"value": "<string>",
"slug": "<string>",
"confidence": 123,
"evidence": "<string>"
}
],
"guidance": [
{
"kind": "instruction",
"text": "<string>",
"assigneeRoleGroupIds": [
"warehouse"
]
}
],
"guidanceRevision": 123,
"component": {
"quantity": "<string>"
}
},
"clientTurnId": "<string>",
"status": "completed"
}Path Parameters
Body
application/json
⌘I